summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryanpcmcquen@gmail.com>2014-11-05 18:33:32 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-11-08 06:30:11 +0700
commitf89de4ce60a3ad5ab192507ed30000220b0c6d51 (patch)
treedb5f8caf7074b32016938767b796886f0028f3b8 /development
parent60c75ff791ce88fe9bddede4997aa2c6dfea5e64 (diff)
downloadslackbuilds-f89de4ce60a3ad5ab192507ed30000220b0c6d51.tar.gz
slackbuilds-f89de4ce60a3ad5ab192507ed30000220b0c6d51.tar.xz
development/gnustep-startup: Added (GNUstep core packages).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/gnustep-startup/README35
-rw-r--r--development/gnustep-startup/gnustep-startup.SlackBuild94
-rw-r--r--development/gnustep-startup/gnustep-startup.info10
-rw-r--r--development/gnustep-startup/slack-desc19
4 files changed, 158 insertions, 0 deletions
diff --git a/development/gnustep-startup/README b/development/gnustep-startup/README
new file mode 100644
index 0000000000..181a1baca1
--- /dev/null
+++ b/development/gnustep-startup/README
@@ -0,0 +1,35 @@
+GNUstep is a free, object-oriented, cross-platform development environment
+that strives for simplicity and elegance. GNUstep is based on and completely
+compatible with the OpenStep specification developed by NeXT (now Apple
+Computer Inc.) as well as implementing the extensions added by Apple in the
+form of Cocoa.
+
+The GNUstep Startup package combines all four core packages (Make, Base,
+GUI and Backend), plus ffcall.
+
+This is the message after compiling from source, because the files
+are then put in a package you will miss it:
+
+
+---------------------------------------------------------
+
+Installation Finished
+
+---------------------------------------------------------
+
+Now run the GNUstep initialization script (put this in your
+.bashrc or other type of startup script). Note the '.' at the
+beginning of the line.
+. /opt/gnustep/System/Library/Makefiles/GNUstep.sh
+
+Now you can install some applications and start using GNUstep
+Look for a few applications in the AppSources directory. The
+typical way to install an application is:
+ tar -zxf MyApplication.tar.gz
+ cd MyApplication
+ make
+ make install (as root, unless GNUstep is in your home dir)
+
+Then start the application:
+ openapp MyApplication.app
+---------------------------------------------------------
diff --git a/development/gnustep-startup/gnustep-startup.SlackBuild b/development/gnustep-startup/gnustep-startup.SlackBuild
new file mode 100644
index 0000000000..3002b640fe
--- /dev/null
+++ b/development/gnustep-startup/gnustep-startup.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for gnustep-startup
+
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <http://www.gnu.org/licenses/>.
+
+PRGNAM=gnustep-startup
+VERSION=${VERSION:-0.32.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./InstallGNUstep \
+ --prefix=/opt/gnustep/ \
+ --batch \
+ --config-options \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ --with-layout=fhs-system \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --with-library-combo=gnu-gnu-gnu \
+ --build=$ARCH-slackware-linux
+
+mkdir -pv $PKG/opt/
+mv /opt/gnustep/ $PKG/opt/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ANNOUNCE AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/gnustep-startup/gnustep-startup.info b/development/gnustep-startup/gnustep-startup.info
new file mode 100644
index 0000000000..1050774626
--- /dev/null
+++ b/development/gnustep-startup/gnustep-startup.info
@@ -0,0 +1,10 @@
+PRGNAM="gnustep-startup"
+VERSION="0.32.0"
+HOMEPAGE="http://www.gnustep.org"
+DOWNLOAD="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-startup-0.32.0.tar.gz"
+MD5SUM="a37a167b04a33e796aa5a9836cb7a234"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"
diff --git a/development/gnustep-startup/slack-desc b/development/gnustep-startup/slack-desc
new file mode 100644
index 0000000000..df68138cd4
--- /dev/null
+++ b/development/gnustep-startup/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below startups it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must startup exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gnustep-startup: gnustep-startup (GNUstep core packages)
+gnustep-startup:
+gnustep-startup: GNUstep is a free, object-oriented, cross-platform development
+gnustep-startup: environment that strives for simplicity and elegance. GNUstep is
+gnustep-startup: based on and completely compatible with the OpenStep specification
+gnustep-startup: developed by NeXT (now Apple Computer Inc.) as well as implementing
+gnustep-startup: the extensions added by Apple in the form of Cocoa.
+gnustep-startup:
+gnustep-startup: The GNUstep Startup package, combines all four core packages
+gnustep-startup: (Make, Base, GUI and Backend).
+gnustep-startup: